QGIS Application - Bug report #2196
terrain analysis plugin: slope does not work
2009-12-04 01:41 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: C++ Plugins

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 12256
Description

When choosing slope from the plugin, nothing is done.

History

#1 - 2009-12-04 11:53 AM - Marco Hugentobler

Works for me. Maybe a problem with reading / writing raster files or a processing error?
Could you attach a sample file?

#2 - 2009-12-04 12:29 PM - Paolo Cavallini

Tested with several rasters and on several machines (both deb and win xp).
Used to work in the same setting until a few days ago.

#3 - 2009-12-04 03:11 PM - Giovanni Manghi

works for me on both linux and windows with qgis/trunk

#4 - 2009-12-09 02:10 PM - Paolo Cavallini

Checked again with a fresh comiled qgis, different dtm, different formats, and | still get the same result: nothing is done for slope, correct results for aspect
(on the same raster). Only (unrelated?) msg from the terminal:

Warning: Object::connect: No such slot [[QgisApp]]::projectChanged( QDomDocument & ) in /home/paolo/build/qgis_unstable/src/app/qgisapp.cpp:1815

#5 - 2009-12-09 02:23 PM - Giovanni Manghi

Paolo can you provide me with the data (even privately)? | also tested different dtm and it still works for me.

#6 - 2009-12-14 05:44 AM - Giovanni Manghi

Paolo, it works for me (with trunk under ubuntu) with the sample raster you sent me.
#7 - 2009-12-19 03:04 AM - Paolo Cavallini

Rebuilding with debug on solves the problem. May be a local compilation issue

#8 - 2010-01-02 10:41 AM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Open to Closed

it seems that after recompiling now it works fine.
